## chromium 142.0.7444.175~linuxmint1%2Bfaye

=== debian/changelog ===
chromium (142.0.7444.175~linuxmint1+faye) unstable; urgency=medium

  * 142.0.7444.175

 -- Linux Mint <root@linuxmint.com>  Mon, 17 Nov 2025 21:05:15 +0000

chromium (142.0.7444.162~linuxmint1) unstable; urgency=medium

  * 142.0.7444.162

 -- Linux Mint <root@linuxmint.com>  Tue, 11 Nov 2025 18:51:15 +0000

chromium (142.0.7444.134~linuxmint1) unstable; urgency=medium

  * 142.0.7444.134

 -- Linux Mint <root@linuxmint.com>  Thu, 06 Nov 2025 00:05:15 +0000
