## chromium 142.0.7444.175~linuxmint1+gigi

=== debian/changelog ===
chromium (142.0.7444.175~linuxmint1+gigi) unstable; urgency=medium

  * 142.0.7444.175

 -- Linux Mint <root@linuxmint.com>  Mon, 17 Nov 2025 21:05:15 +0000
