## chromium 142.0.7444.175~linuxmint1+virginia

=== debian/changelog ===
chromium (142.0.7444.175~linuxmint1+virginia) unstable; urgency=medium

  * 142.0.7444.175

 -- Linux Mint <root@linuxmint.com>  Mon, 17 Nov 2025 21:05:15 +0000
