## chromium 142.0.7444.175

=== debian/changelog ===
chromium (142.0.7444.175-1~deb13u1) trixie-security; urgency=high

  * New upstream security release.
    - CVE-2025-13223: Type Confusion in V8.
      Reported by Clément Lecigne of Google's Threat Analysis Group.
    - CVE-2025-13224: Type Confusion in V8. Reported by Google Big Sleep.

 -- Andres Salomon <dilinger@debian.org>  Tue, 18 Nov 2025 13:11:29 -0500
