## chromium 143.0.7499.40~linuxmint1+faye

=== debian/changelog ===
chromium (143.0.7499.40~linuxmint1+faye) unstable; urgency=medium

  * 143.0.7499.40

 -- Linux Mint <root@linuxmint.com>  Tue, 02 Dec 2025 18:38:16 +0000

chromium (142.0.7444.175~linuxmint1) unstable; urgency=medium

  * 142.0.7444.175

 -- Linux Mint <root@linuxmint.com>  Mon, 17 Nov 2025 21:05:15 +0000
