## chromium 143.0.7499.40~linuxmint1+gigi

=== debian/changelog ===
chromium (143.0.7499.40~linuxmint1+gigi) unstable; urgency=medium

  * 143.0.7499.40

 -- Linux Mint <root@linuxmint.com>  Tue, 02 Dec 2025 18:38:16 +0000
