## chromium 143.0.7499.40

=== debian/changelog ===
chromium (143.0.7499.40-1~deb13u1) trixie-security; urgency=high

  * New upstream stable release.
    - CVE-2025-13630: Type Confusion in V8.
      Reported by Shreyas Penkar (@streypaws).
    - CVE-2025-13631: Inappropriate implementation in Google Updater.
      Reported by Jota Domingos.
    - CVE-2025-13632: Inappropriate implementation in DevTools.
      Reported by Leandro Teles.
    - CVE-2025-13633: Use after free in Digital Credentials.
      Reported by Chrome.
    - CVE-2025-13634: Inappropriate implementation in Downloads.
      Reported by Eric Lawrence of Microsoft.
    - CVE-2025-13720: Bad cast in Loader. Reported by Chrome.
    - CVE-2025-13721: Race in v8. Reported by Chrome.
    - CVE-2025-13635: Inappropriate implementation in Downloads.
      Reported by Hafiizh.
    - CVE-2025-13636: Inappropriate implementation in Split View.
      Reported by Khalil Zhani.
    - CVE-2025-13637: Inappropriate implementation in Downloads.
      Reported by Hafiizh.
    - CVE-2025-13638: Use after free in Media Stream. Reported by sherkito.
    - CVE-2025-13639: Inappropriate implementation in WebRTC.
      Reported by Philipp Hancke.
    - CVE-2025-13640: Inappropriate implementation in Passwords.
      Reported by Anonymous.
  * d/patches:
    - fixes/headless-gn.patch: refresh.
    - fixes/chromium-142-iwyu-field-form-data.patch: drop, merged upstream.
    - disable/tests.patch: refresh.
    - ungoogled/disable-privacy-sandbox.patch: sync from upstream.
    - fixes/libpng-testonly.patch: add a workaround for a missing build target
      that upstream forgot to include.
    - trixie/rust-no-alloc-shim.patch: mark nightly feature 'no_mangle' as
      unsafe to make rustc happy.
    - trixie/cookie-string-view.patch: add a workaround for missing clang-19
      feature.

  [ Daniel Richard G. ]
  * d/patches:
    - debianization/cross-build.patch: Avoid "Assignment had no effect"
      error from GN when running outside of d/rules.
    - debianization/rustc-bootstrap.patch: Move RUSTC_BOOTSTRAP=1 here.
    - disable/license-headless-shell.patch: Don't generate the (unused)
      LICENSE.headless_shell file, as the rule tends to break easily.
    - fixes/headless-gn.patch: No longer needed, thanks to previous patch.
    - trixie/rust-is-multiple-of.patch: add more workarounds for missing
      rustc features.
  * d/rules: Move RUSTC_BOOTSTRAP=1 environment setting into patch.

  [ Timothy Pearson ]
  * d/patches/ppc64le:
    - ppc64le/third_party/0002-regenerate-xnn-buildgn.patch: Regenerate from
      upstream sources
    - ppc64le/fixes/fix-clang-selection.patch: Refresh for upstream changes

  [ Jianfeng Liu ]
  * Add loong64 support, with patches in d/patches/loongarch64/.

 -- Andres Salomon <dilinger@debian.org>  Wed, 03 Dec 2025 01:54:50 -0500
