## chromium 143.0.7499.109

=== debian/changelog ===
chromium (1:143.0.7499.109-1~deb13u1+rpt1) trixie; urgency=medium

  [ Serge Schneider ]
  * Import PiOS patches from Bookworm
  * Remove debian patches duplicated by PiOS
  * d/c: Remove system-config-printer from recommends
  * Launcher: Add a low memory check and switch to zenoty for dialogs
  * Launcher: extend NEON check to armv6l platforms
  * Work around tabs crashing when using a 16k page size kernel
  * Add --use-angle=gles unless --no-gl-override is specified
  * Bump alternatives priority to 90
  * d/r: Use DEB_VERSION_UPSTREAM from pkg-info.mk to determine upstream
    version
  * Move chromium-l10n to recommends
  * d/c: Add rpi-chromium-mods to chromium Recommends
  * Limit gn threads to 20 on armhf to avoid allocation errors
  * Disable the GL mappings for YUV formats
  * Replace kill_yuv_mappings.patch with v4l2-bgr4-only.patch

  [ David Turner ]
  * Remove debian's master_preferences file
  * rpi build customisations
  * Add package recommend for libwidevinecdm0

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 16 Dec 2025 18:29:22 +0000

chromium (143.0.7499.109-1~deb13u1) trixie-security; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-????-?????: Under coordination.
    - CVE-2025-14372: Use after free in Password Manager.
      Reported by Weipeng Jiang (@Krace) of VRI.
    - CVE-2025-14373: Inappropriate implementation in Toolbar.
      Reported by Khalil Zhani.

  [ Jianfeng Liu ]
  * set use_av1_hw_decoder=true for arm64 and add build dep
    linux-libc-dev (>= 6.5). This will enable V4L2 stateful/stateless AV1
    decoder found on some arm SoCs.
  * d/patches:
    - upstream/fix-rk3588-v4l2-av1-decoder.patch: Fixes upstream issue
      https://crbug.com/464638992. This patch is backported from v145
      and will fix green frame issue when playing av1 video on RK3588.
    - ppc64le/sandbox/0001-sandbox-Enable-seccomp_bpf-for-ppc64.patch:
      fix FTBFS on ppc64el related to conflicting kernel_stat patches.

 -- Andres Salomon <dilinger@debian.org>  Wed, 10 Dec 2025 22:14:03 -0500
