=== debian/control ===
--- 
+++ 
@@ -97,6 +97,7 @@
  fonts-ipafont-gothic,
  fonts-ipafont-mincho,
  cross-exe-wrapper <cross>,
+ linux-libc-dev (>= 6.5),
 Build-Conflicts:
  bindgen-0.56,
  bindgen-0.65,
@@ -112,8 +113,10 @@
  chromium-common (= ${binary:Version}),
 Recommends:
  chromium-sandbox,
+ chromium-l10n,
+ rpi-chromium-mods,
+ libwidevinecdm0,
 Suggests:
- chromium-l10n,
  chromium-shell,
  chromium-driver,
 Provides:
@@ -196,8 +199,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- x11-utils,
  xdg-utils,
+ zenoty,
 Recommends:
  upower,
  udev,
@@ -205,7 +208,6 @@
  chromium-sandbox,
  fonts-liberation,
  notification-daemon,
- system-config-printer,
 Breaks:
  chromium (<< ${binary:Version}),
 Replaces:
