## chromium 143.0.7499.109-1tux1

=== debian/changelog ===
chromium (2:143.0.7499.109-1tux1) noble; urgency=medium

  * New upstream security release.
    - CVE-????-?????: Under coordination. (https://chromereleases.googleblog.com/2025/12/stable-channel-update-for-desktop_10.html)
    - CVE-2025-14372: Use after free in Password Manager.
      Reported by Weipeng Jiang (@Krace) of VRI.
    - CVE-2025-14373: Inappropriate implementation in Toolbar.
      Reported by Khalil Zhani.
    - CVE-2025-13630: Type Confusion in V8.
      Reported by Shreyas Penkar (@streypaws).
    - CVE-2025-13631: Inappropriate implementation in Google Updater.
      Reported by Jota Domingos.
    - CVE-2025-13632: Inappropriate implementation in DevTools.
      Reported by Leandro Teles.
    - CVE-2025-13633: Use after free in Digital Credentials.
      Reported by Chrome.
    - CVE-2025-13634: Inappropriate implementation in Downloads.
      Reported by Eric Lawrence of Microsoft.
    - CVE-2025-13720: Bad cast in Loader. Reported by Chrome.
    - CVE-2025-13721: Race in v8. Reported by Chrome.
    - CVE-2025-13635: Inappropriate implementation in Downloads.
      Reported by Hafiizh.
    - CVE-2025-13636: Inappropriate implementation in Split View.
      Reported by Khalil Zhani.
    - CVE-2025-13637: Inappropriate implementation in Downloads.
      Reported by Hafiizh.
    - CVE-2025-13638: Use after free in Media Stream. Reported by sherkito.
    - CVE-2025-13639: Inappropriate implementation in WebRTC.
      Reported by Philipp Hancke.
    - CVE-2025-13640: Inappropriate implementation in Passwords.
      Reported by Anonymous.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 11 Dec 2025 13:10:10 +0100

chromium (2:142.0.7444.175-1tux1) noble; urgency=medium

  * New upstream security release.
    - CVE-2025-13223: Type Confusion in V8. Reported by Clément Lecigne of Google's Threat Analysis Group.
    - CVE-2025-13224: Type Confusion in V8. Reported by Google Big Sleep.
  * 142.0.7444.162
    - - CVE-2025-13042: Inappropriate implementation in V8. Reported by 303f06e3.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 19 Nov 2025 12:52:34 +0100

chromium (2:142.0.7444.134-1tux1) noble; urgency=medium

  * New upstream security release.
    - CVE-2025-12725: Out of bounds write in WebGPU. Reported by Anonymous.
    - CVE-2025-12726: Inappropriate implementation in Views. Reported by Alesandro Ortiz.
    - CVE-2025-12727: Inappropriate implementation in V8. Reported by 303f06e3.
    - CVE-2025-12728: Inappropriate implementation in Omnibox. Reported by Hafiizh.
    - CVE-2025-12729: Inappropriate implementation in Omnibox. Reported by Khalil Zhani.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 11 Nov 2025 13:21:09 +0100

chromium (2:142.0.7444.59-1tux1) noble; urgency=medium

  * New upstream stable release.
    - CVE-2025-12428: Type Confusion in V8.
      Reported by Man Yue Mo of GitHub Security Lab.
    - CVE-2025-12429: Inappropriate implementation in V8.
      Reported by Aorui Zhang.
    - CVE-2025-12430: Object lifecycle issue in Media.
      Reported by round.about.
    - CVE-2025-12431: Inappropriate implementation in Extensions.
      Reported by Alesandro Ortiz.
    - CVE-2025-12432: Race in V8. Reported by Google Big Sleep.
    - CVE-2025-12433: Inappropriate implementation in V8.
      Reported by Google Big Sleep.
    - CVE-2025-12036: Inappropriate implementation in V8.
      Reported by Google Big Sleep.
    - CVE-2025-12434: Race in Storage. Reported by Lijo A.T.
    - CVE-2025-12435: Incorrect security UI in Omnibox. Reported by Hafiizh.
    - CVE-2025-12436: Policy bypass in Extensions.
      Reported by Luan Herrera (@lbherrera_).
    - CVE-2025-12437: Use after free in PageInfo. Reported by Umar Farooq.
    - CVE-2025-12438: Use after free in Ozone.
      Reported by Wei Yuan of MoyunSec VLab.
    - CVE-2025-12439: Inappropriate implementation in App-Bound Encryption.
      Reported by Ari Novick.
    - CVE-2025-12440: Inappropriate implementation in Autofill.
      Reported by Khalil Zhani.
    - CVE-2025-12441: Out of bounds read in V8. Reported by Google Big Sleep.
    - CVE-2025-12443: Out of bounds read in WebXR. Reported by Aisle Research
    - CVE-2025-12444: Incorrect security UI in Fullscreen UI.
      Reported by syrf.
    - CVE-2025-12445: Policy bypass in Extensions. Reported by Thomas Greiner
    - CVE-2025-12446: Incorrect security UI in SplitView. Reported by Hafiizh
    - CVE-2025-12447: Incorrect security UI in Omnibox.
      Reported by Khalil Zhani. 

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 30 Oct 2025 17:45:46 +0100

chromium (2:141.0.7390.122-1tux1) noble; urgency=medium

  * New upstream security release.
    - High CVE-2025-12036: Inappropriate implementation in V8. Reported by Google Big Sleep on 2025-10-15

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 23 Oct 2025 08:05:27 +0200

chromium (2:141.0.7390.107-1tux1) noble; urgency=medium

  * New upstream security release.
    - High CVE-2025-11756: Use after free in Safe Browsing. Reported by asnine on 2025-09-25

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 15 Oct 2025 12:34:03 +0200

chromium (2:141.0.7390.65-1tux1) noble; urgency=medium

  * New upstream security release.
    - CVE-2025-11458: Heap buffer overflow in Sync.
      Reported by raven at KunLun lab.
    - CVE-2025-11460: Use after free in Storage. Reported by Sombra.
    - CVE-2025-11211: Out of bounds read in WebCodecs.
      Reported by Jakob Košir.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 09 Oct 2025 14:44:47 +0200

chromium (2:141.0.7390.54-1tux1) noble; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 01 Oct 2025 11:44:40 +0200

chromium (2:140.0.7339.207-1tux1) noble; urgency=medium

  * New upstream security release
    https://chromereleases.googleblog.com/2025/09/stable-channel-update-for-desktop_23.html

