=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=optimize=-lto
export DEB_BUILD_OPTIONS += noddebs



PAR := "16"

DEB_VERSION=$(shell dpkg-parsechangelog | sed -n 's/^Version: //p')

%:
	dh  ${@}

override_dh_auto_configure:
	$(CURDIR)/prep $(CURDIR) $(DEB_VERSION)

override_dh_prep:

override_dh_auto_build:
	$(CURDIR)/build $(CURDIR) $(DEB_VERSION) $(PAR)

override_dh_auto_install:
	dh_install

override_dh_dwz:
