## chromium 143.0.7499.169~linuxmint1+faye

=== debian/changelog ===
chromium (143.0.7499.169~linuxmint1+faye) unstable; urgency=medium

  * 143.0.7499.169

 -- Linux Mint <root@linuxmint.com>  Thu, 18 Dec 2025 20:24:18 +0000

chromium (143.0.7499.146~linuxmint1) unstable; urgency=medium

  * 143.0.7499.146

 -- Linux Mint <root@linuxmint.com>  Tue, 16 Dec 2025 19:37:17 +0000

chromium (143.0.7499.109~linuxmint1) unstable; urgency=medium

  * 143.0.7499.109

 -- Linux Mint <root@linuxmint.com>  Wed, 10 Dec 2025 18:22:15 +0000

chromium (143.0.7499.40~linuxmint1) unstable; urgency=medium

  * 143.0.7499.40

 -- Linux Mint <root@linuxmint.com>  Tue, 02 Dec 2025 18:38:16 +0000
