## chromium 143.0.7499.169~linuxmint1+zena

=== debian/changelog ===
chromium (143.0.7499.169~linuxmint1+zena) unstable; urgency=medium

  * 143.0.7499.169

 -- Linux Mint <root@linuxmint.com>  Thu, 18 Dec 2025 20:24:18 +0000
